ActionException (Apache Struts API Documentation)
Keywords: org.apache.struts.action.ActionException,ActionException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionException

    java.lang.Object
      |
      +--org.apache.struts.config.ExceptionConfig
            |
            +--org.apache.struts.action.ActionException

All Implemented Interfaces:
  java.io.Serializable

Deprecated. Replaced by org.apache.struts.config.ExceptionConfig

public class ActionException
extends ExceptionConfig

An ActionException represents a potential exception that may occur during delegation to an Action class. Instances of this class may be configured in association with an `ActionMapping` instance for named lookup of potentially multiple destinations for a particular mapping instance.

An `ActionException` has the following minimal set of properties. Additional properties can be provided as needed by subclassses.

- type - The fully qualified class name of the exception to be associated to a particular `ActionMapping`.
- key - (Optional) Message key associated with the particular exception.
- path - (Optional) Context releative URI that should be redirected to as a result of the exception occuring. Will overide the input form of the associated ActionMapping if one is provided.
- scope - (Optional) The scope to store the exception in if a problem should occur - defaults to 'request'. Valid values are 'request' and 'session'.
- hierarchical - (Optional) Defines whether or not the Exception hierarchy should be used when determining if an occuring exception can be assigned to a mapping instance. Default is true.
- handler - (Optional) The fully qualified class name of the handler, which is responsible to handle this exception. Default is 'org.apache.struts.action.ExceptionHandler'.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  ldonlan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ExceptionConfig
`bundle, configured, handler, key, path, scope, type`

Constructor Summary
`ActionException()` Deprecated.

Method Summary
`ActionError` | `getError()` Deprecated. Returns an instance of an ActionError configured for this exception.

Methods inherited from class org.apache.struts.config.ExceptionConfig
`freeze, getBundle, getHandler, getKey, getPath, getScope, getType, setBundle, setHandler, setKey, setPath, setScope, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionException

    public ActionException()

  Deprecated.

Method Detail

### getError

    public ActionError getError()

  Deprecated.
  Returns an instance of an ActionError configured for this exception.

  Returns:
    ActionError

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation